# 48. Consulta: Obter dados em grade de "TopographyMap"

Consulta para obter dados de origem do conjunto raster relacionado a "TopographyMap" como `GEOJSON`  com pontos ou `GEOTIFF`. O atributo properties contém todos os derivados topográficos (como dem, inclinação, porção de relevo, rugosidade, orientação, hillshade, etc.) por ponto.&#x20;

#### 1. Solicite um arquivo para exportar

{% hint style="danger" %}
Recomendado recuperar apenas um único conjunto de dados com `sourceDataUrl` por solicitação.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, e `MinusTwoPixels` estão disponíveis como um `buffer`.

`GEOJSON` e `GEOTIFF` estão disponíveis como um formato.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromTopographyMap {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      topographyMaps(topographyMapUuids: ["<placeholder_of_topography_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Faça o download do arquivo gerado

Após a preparação bem-sucedida do arquivo, é possível baixá-lo usando `curl` ou uma abordagem similar.

{% hint style="danger" %}
`sourceDataUrl` o link é acessível por apenas **60 seg.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/48.-consulta-obter-dados-em-grade-de-topographymap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
